package textures.hud;

import java.awt.image.BufferedImage;

import _texture.loader.Textures;
import utils.Utils;

public class SecondaryHUDTextures {

	public static void getTextures(BufferedImage image){
		Textures.secondaryHUDSheet[0] = Utils.grabSprite(image, 1, 1, 245, 320);
		Textures.secondaryHUDSheet[1] = Utils.grabSprite(image, 6, 1, 50, 42); // grey
		Textures.secondaryHUDSheet[2] = Utils.grabSprite(image, 6, 2, 50, 42); // sepia
		Textures.secondaryHUDSheet[3] = Utils.grabSprite(image, 6, 3, 50, 42); // dark
		Textures.secondaryHUDSheet[4] = Utils.grabSprite(image, 6, 4, 50, 42); // backpack icon
		Textures.secondaryHUDSheet[5] = Utils.grabSprite(image, 6, 5, 50, 42); // equipment icon
		Textures.secondaryHUDSheet[6] = Utils.grabSprite(image, 6, 6, 50, 42); // skills icon
		Textures.secondaryHUDSheet[7] = Utils.grabSprite(image, 6, 7, 50, 42); // magic icon
		Textures.secondaryHUDSheet[8] = Utils.grabSprite(image, 1, 7, 224, 56); // minimized
		Textures.secondaryHUDSheet[9] = Utils.grabSprite(image, 1, 11, 50, 42); // Equipment Tab Blank Block
		Textures.secondaryHUDSheet[10] = Utils.grabSprite(image, 2, 11, 50, 42); // Equipment Tab Highlighted Block
		Textures.secondaryHUDSheet[11] = Utils.grabSprite(image, 1, 12, 50, 42); // Equipment Tab reg bag/cape
		Textures.secondaryHUDSheet[12] = Utils.grabSprite(image, 4, 12, 50, 42); // Equipment Tab Highlighted bag/cape
		Textures.secondaryHUDSheet[13] = Utils.grabSprite(image, 2, 12, 50, 42); // Equipment Tab reg helm
		Textures.secondaryHUDSheet[14] = Utils.grabSprite(image, 5, 12, 50, 42); // Equipment Tab Highlighted helm
		Textures.secondaryHUDSheet[15] = Utils.grabSprite(image, 3, 12, 50, 42); // Equipment Tab reg quiver
		Textures.secondaryHUDSheet[16] = Utils.grabSprite(image, 6, 12, 50, 42); // Equipment Tab Highlighted quiver
		Textures.secondaryHUDSheet[17] = Utils.grabSprite(image, 1, 13, 50, 42); // Equipment Tab reg handslot
		Textures.secondaryHUDSheet[18] = Utils.grabSprite(image, 4, 13, 50, 42); // Equipment Tab Highlighted handlslot
		Textures.secondaryHUDSheet[19] = Utils.grabSprite(image, 2, 13, 50, 42); // Equipment Tab reg chest
		Textures.secondaryHUDSheet[20] = Utils.grabSprite(image, 5, 13, 50, 42); // Equipment Tab Highlighted chest
		Textures.secondaryHUDSheet[21] = Utils.grabSprite(image, 3, 13, 50, 42); // Equipment Tab reg shield
		Textures.secondaryHUDSheet[22] = Utils.grabSprite(image, 6, 13, 50, 42); // Equipment Tab Highlighted shield
		Textures.secondaryHUDSheet[23] = Utils.grabSprite(image, 1, 14, 50, 42); // Equipment Tab reg gloves
		Textures.secondaryHUDSheet[24] = Utils.grabSprite(image, 4, 14, 50, 42); // Equipment Tab Highlighted gloves
		Textures.secondaryHUDSheet[25] = Utils.grabSprite(image, 2, 14, 50, 42); // Equipment Tab reg legs
		Textures.secondaryHUDSheet[26] = Utils.grabSprite(image, 5, 14, 50, 42); // Equipment Tab Highlighted legs
		Textures.secondaryHUDSheet[27] = Utils.grabSprite(image, 3, 14, 50, 42); // Equipment Tab reg amulet
		Textures.secondaryHUDSheet[28] = Utils.grabSprite(image, 6, 14, 50, 42); // Equipment Tab Highlighted amulet
		Textures.secondaryHUDSheet[29] = Utils.grabSprite(image, 1, 15, 50, 42); // Equipment Tab reg UNKNOWN
		Textures.secondaryHUDSheet[30] = Utils.grabSprite(image, 4, 15, 50, 42); // Equipment Tab Highlighted UNKNOWN
		Textures.secondaryHUDSheet[31] = Utils.grabSprite(image, 2, 15, 50, 42); // Equipment Tab reg boots
		Textures.secondaryHUDSheet[32] = Utils.grabSprite(image, 5, 15, 50, 42); // Equipment Tab Highlighted boots
		Textures.secondaryHUDSheet[33] = Utils.grabSprite(image, 3, 15, 50, 42); // Equipment Tab reg ring
		Textures.secondaryHUDSheet[34] = Utils.grabSprite(image, 6, 15, 50, 42); // Equipment Tab Highlighted ring
		Textures.secondaryHUDSheet[35] = Utils.grabSprite(image, 1, 19, 63, 37); // Equipment tab --- accurate reg
		Textures.secondaryHUDSheet[36] = Utils.grabSprite(image, 1, 20, 63, 37); // Equipment tab --- accurate hovered
		Textures.secondaryHUDSheet[37] = Utils.grabSprite(image, 1, 21, 63, 37); // Equipment tab --- accurate selected
		Textures.secondaryHUDSheet[38] = Utils.grabSprite(image, 2, 19, 63, 37); // Equipment tab --- Strong reg
		Textures.secondaryHUDSheet[39] = Utils.grabSprite(image, 2, 20, 63, 37); // Equipment tab --- Strong hovered
		Textures.secondaryHUDSheet[40] = Utils.grabSprite(image, 2, 21, 63, 37); // Equipment tab --- Strong selected
		Textures.secondaryHUDSheet[41] = Utils.grabSprite(image, 3, 19, 63, 37); // Equipment tab --- Defensive reg
		Textures.secondaryHUDSheet[42] = Utils.grabSprite(image, 3, 20, 63, 37); // Equipment tab --- Defensive hovered
		Textures.secondaryHUDSheet[43] = Utils.grabSprite(image, 3, 21, 63, 37); // Equipment tab --- Defensive selected
		Textures.secondaryHUDSheet[44] = Utils.grabSprite(image, 1, 4, 245, 320); // Equipment base
	}
}
